clc; 
%srcDir is the directory containing images to be run in Isomap
N=3000;
srcDir = 'images/last/8';

[data, names] = loadImageData(srcDir, struct('N', N, 'mode', 'rgb'));

k = 15;
dims = 1:10;
fprintf('\nRunning Isomap with k=%d...\n', k);
%for 3d embedding, use Isomap3d instead
[L, R, E, C] = Isomap( data, 'k', k, struct('dims',dims, 'overlay',1,'comp',1,'display',1,'verbose',1, 'names', names));

